<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.v2.mapper.UserAccountMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ruoyi.web.v2.entity.UserAccount">
        <id column="id" property="id" />
        <result column="user_id" property="userId" />
        <result column="account" property="account" />
        <result column="password" property="password" />
        <result column="dept_name" property="deptName" />
        <result column="dept_address" property="deptAddress" />
        <result column="nick_name" property="nickName" />
        <result column="phone" property="phone" />
        <result column="deduction_rate" property="deductionRate" />
        <result column="account_balance" property="accountBalance" />
        <result column="experience_balance" property="experienceBalance" />
        <result column="account_status" property="accountStatus" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

</mapper>
